<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:st="scenari.eu:styler:1.0"
        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
        exclude-result-prefixes="st" 
        version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
     
<xsl:template match="st:skinSet">
<xsl:for-each select="st:generator[st:skin/@sc:refUri]">
<xsl:variable name="vSkinFileName" select="si(@type='sm_odGenerator', '/skin.odt')"/>
<xsl:value-of select="resultatAgent('//', 
	                                            concat('resUri:src=', st:skin/@sc:refUri,
	                                            ';overidedst=',resultatAgent('outPath'), '/skin/', @code, '/', resultatAgent('//codeSkin'), '.doss', $vSkinFileName
	                                            ))"/>
</xsl:for-each>
</xsl:template>
    
</xsl:stylesheet>